org.jboss.jca.common.api.metadata.ds

## Class TransactionIsolation

- java.lang.Object
- - org.jboss.jca.common.api.metadata.ds.TransactionIsolation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransactionIsolation>

      public class TransactionIsolation
      extends java.lang.Object
      implements java.lang.Comparable<TransactionIsolation>, java.io.Serializable

  A TransactionIsolation. Define constants used as the possible transaction isolation levels in transaction-isolation type. Include: TRANSACTION_READ_UNCOMMITTED TRANSACTION_READ_COMMITTED TRANSACTION_REPEATABLE_READ TRANSACTION_SERIALIZABLE TRANSACTION_NONE
  Author:
    Stefano Maestri, Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionIsolation` | `TRANSACTION_NONE` TRANSACTION_NONE;
    `static TransactionIsolation` | `TRANSACTION_READ_COMMITTED` TRANSACTION_READ_COMMITTED
    `static TransactionIsolation` | `TRANSACTION_READ_UNCOMMITTED` TRANSACTION_READ_UNCOMMITTED
    `static TransactionIsolation` | `TRANSACTION_REPEATABLE_READ` TRANSACTION_REPEATABLE_READ,
    `static TransactionIsolation` | `TRANSACTION_SERIALIZABLE` TRANSACTION_SERIALIZABLE,

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TransactionIsolation o)`
    `static TransactionIsolation` | `customLevel(java.lang.String n)` Custom transaction levels
    `boolean` | `equals(java.lang.Object o)`
    `static TransactionIsolation` | `forName(java.lang.String v)` Static method to get an instance
    `int` | `hashCode()`
    `java.lang.String` | `name()` Name
    `int` | `ordinal()` Ordinal
    `java.lang.String` | `toString()`
    `static TransactionIsolation` | `valueOf(java.lang.String v)` Static method to get an instance

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TRANSACTION_READ_UNCOMMITTED

          public static final TransactionIsolation TRANSACTION_READ_UNCOMMITTED

      TRANSACTION_READ_UNCOMMITTED

    - #### TRANSACTION_READ_COMMITTED

          public static final TransactionIsolation TRANSACTION_READ_COMMITTED

      TRANSACTION_READ_COMMITTED

    - #### TRANSACTION_REPEATABLE_READ

          public static final TransactionIsolation TRANSACTION_REPEATABLE_READ

      TRANSACTION_REPEATABLE_READ,

    - #### TRANSACTION_SERIALIZABLE

          public static final TransactionIsolation TRANSACTION_SERIALIZABLE

      TRANSACTION_SERIALIZABLE,

    - #### TRANSACTION_NONE

          public static final TransactionIsolation TRANSACTION_NONE

      TRANSACTION_NONE;

  - ### Method Detail

    - #### compareTo

          public int compareTo(TransactionIsolation o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TransactionIsolation>`

    - #### name

          public java.lang.String name()

      Name
      Returns:
        The value

    - #### ordinal

          public int ordinal()

      Ordinal
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### forName

          public static TransactionIsolation forName(java.lang.String v)

      Static method to get an instance
      Parameters:
        `v` - The value
      Returns:
        The instance

    - #### valueOf

          public static TransactionIsolation valueOf(java.lang.String v)

      Static method to get an instance
      Parameters:
        `v` - The value
      Returns:
        The instance

    - #### customLevel

          public static TransactionIsolation customLevel(java.lang.String n)

      Custom transaction levels
      Parameters:
        `n` - The name
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)